org.eclipse.rdf4j.rio.helpers

## Class AbstractRDFWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

- All Implemented Interfaces:
    RDFHandler, RDFWriter
  Direct Known Subclasses:
    BinaryRDFWriter, ConsoleRDFWriter, JSONLDWriter, N3Writer, NTriplesWriter, RDFJSONWriter, RDFWriterBase, RDFXMLWriter, TriXWriter, TurtleWriter

      public abstract class AbstractRDFWriter
      extends Object
      implements RDFWriter

  Base class for `RDFWriter`s offering common functionality for RDF writers.
  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `namespaceTable` Mapping from namespace prefixes to namespace names.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractRDFWriter()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<RioSetting<?>>` | `getSupportedSettings()`
    `WriterConfig` | `getWriterConfig()` Retrieves the current writer configuration as a single object.
    `void` | `handleNamespace(String prefix, String uri)` Handles a namespace declaration/definition.
    `<T> RDFWriter` | `set(RioSetting<T> setting, T value)` Set a setting on the writer, and return this writer object to allow chaining.
    `RDFWriter` | `setWriterConfig(WriterConfig config)` Sets all supplied writer configuration options.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFWriter

      `getRDFFormat`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFHandler

      `endRDF, handleComment, handleStatement, startRDF`

- - ### Field Detail

    - #### namespaceTable

          protected Map<String,String> namespaceTable

      Mapping from namespace prefixes to namespace names.

  - ### Constructor Detail

    - #### AbstractRDFWriter

          protected AbstractRDFWriter()

      Default constructor.

  - ### Method Detail

    - #### handleNamespace

          public void handleNamespace(String prefix,
                                      String uri)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `uri` - The URI that the prefix maps to.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### setWriterConfig

          public RDFWriter setWriterConfig(WriterConfig config)

      Description copied from interface: `RDFWriter`
      Sets all supplied writer configuration options.
      Specified by:
        `setWriterConfig` in interface `RDFWriter`
      Parameters:
        `config` - a writer configuration object.
      Returns:
        Either a copy of this writer, if it is immutable, or this object, to allow chaining of method calls.

    - #### getWriterConfig

          public WriterConfig getWriterConfig()

      Description copied from interface: `RDFWriter`
      Retrieves the current writer configuration as a single object.
      Specified by:
        `getWriterConfig` in interface `RDFWriter`
      Returns:
        a writer configuration object representing the current configuration of the writer.

    - #### getSupportedSettings

          public Collection<RioSetting<?>> getSupportedSettings()

      Specified by:
        `getSupportedSettings` in interface `RDFWriter`
      Returns:
        A collection of `RioSetting`s that are supported by this RDFWriter.

    - #### set

          public <T> RDFWriter set(RioSetting<T> setting,
                                   T value)

      Description copied from interface: `RDFWriter`
      Set a setting on the writer, and return this writer object to allow chaining.
      Specified by:
        `set` in interface `RDFWriter`
      Parameters:
        `setting` - The setting to change.
        `value` - The value to change.
      Returns:
        Either a copy of this writer, if it is immutable, or this object, to allow chaining of method calls.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.